ipc_cmap.h File Reference
`#include <netinet/in.h>`
`#include <corosync/corotypes.h>`
`#include <corosync/mar_gen.h>`
Include dependency graph for ipc_cmap.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | req_lib_cmap_set
| The req_lib_cmap_set struct. More...
struct | res_lib_cmap_set
| The res_lib_cmap_set struct. More...
struct | req_lib_cmap_delete
| The req_lib_cmap_delete struct. More...
struct | res_lib_cmap_delete
| The res_lib_cmap_delete struct. More...
struct | req_lib_cmap_get
| The req_lib_cmap_get struct. More...
struct | res_lib_cmap_get
| The res_lib_cmap_get struct. More...
struct | req_lib_cmap_adjust_int
| The req_lib_cmap_adjust_int struct. More...
struct | res_lib_cmap_adjust_int
| The res_lib_cmap_adjust_int struct. More...
struct | req_lib_cmap_iter_init
| The req_lib_cmap_iter_init struct. More...
struct | res_lib_cmap_iter_init
| The res_lib_cmap_iter_init struct. More...
struct | req_lib_cmap_iter_next
| The req_lib_cmap_iter_next struct. More...
struct | res_lib_cmap_iter_next
| The res_lib_cmap_iter_next struct. More...
struct | req_lib_cmap_iter_finalize
| The req_lib_cmap_iter_finalize struct. More...
struct | res_lib_cmap_iter_finalize
| The res_lib_cmap_iter_finalize struct. More...
struct | req_lib_cmap_track_add
| The req_lib_cmap_track_add struct. More...
struct | res_lib_cmap_track_add
| The res_lib_cmap_track_add struct. More...
struct | req_lib_cmap_track_delete
| The req_lib_cmap_track_delete struct. More...
struct | res_lib_cmap_track_delete
| The res_lib_cmap_track_delete struct. More...
struct | res_lib_cmap_notify_callback
| The res_lib_cmap_notify_callback struct. More...
struct | req_lib_cmap_set_current_map
| The req_lib_cmap_set_current_map struct used by cmap_initialize_map(). More...

## Enumerations

enum | req_cmap_types { MESSAGE_REQ_CMAP_SET = 0 , MESSAGE_REQ_CMAP_DELETE = 1 , MESSAGE_REQ_CMAP_GET = 2 , MESSAGE_REQ_CMAP_ADJUST_INT = 3 , MESSAGE_REQ_CMAP_ITER_INIT = 4 , MESSAGE_REQ_CMAP_ITER_NEXT = 5 , MESSAGE_REQ_CMAP_ITER_FINALIZE = 6 , MESSAGE_REQ_CMAP_TRACK_ADD = 7 , MESSAGE_REQ_CMAP_TRACK_DELETE = 8 , MESSAGE_REQ_CMAP_SET_CURRENT_MAP = 9 }
| The req_cmap_types enum. More...
enum | res_cmap_types { MESSAGE_RES_CMAP_SET = 0 , MESSAGE_RES_CMAP_DELETE = 1 , MESSAGE_RES_CMAP_GET = 2 , MESSAGE_RES_CMAP_ADJUST_INT = 3 , MESSAGE_RES_CMAP_ITER_INIT = 4 , MESSAGE_RES_CMAP_ITER_NEXT = 5 , MESSAGE_RES_CMAP_ITER_FINALIZE = 6 , MESSAGE_RES_CMAP_TRACK_ADD = 7 , MESSAGE_RES_CMAP_TRACK_DELETE = 8 , MESSAGE_RES_CMAP_NOTIFY_CALLBACK = 9 , MESSAGE_RES_CMAP_SET_CURRENT_MAP = 10 }
| The res_cmap_types enum. More...
enum | { CMAP_SETMAP_DEFAULT = 0 , CMAP_SETMAP_STATS = 1 }

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
CMAP_SETMAP_DEFAULT |
CMAP_SETMAP_STATS |

Definition at line 75 of file ipc_cmap.h.

## req_cmap_types

enum req_cmap_types

The req_cmap_types enum.

Enumerator
MESSAGE_REQ_CMAP_SET |
MESSAGE_REQ_CMAP_DELETE |
MESSAGE_REQ_CMAP_GET |
MESSAGE_REQ_CMAP_ADJUST_INT |
MESSAGE_REQ_CMAP_ITER_INIT |
MESSAGE_REQ_CMAP_ITER_NEXT |
MESSAGE_REQ_CMAP_ITER_FINALIZE |
MESSAGE_REQ_CMAP_TRACK_ADD |
MESSAGE_REQ_CMAP_TRACK_DELETE |
MESSAGE_REQ_CMAP_SET_CURRENT_MAP |

Definition at line 45 of file ipc_cmap.h.

## res_cmap_types

enum res_cmap_types

The res_cmap_types enum.

Enumerator
MESSAGE_RES_CMAP_SET |
MESSAGE_RES_CMAP_DELETE |
MESSAGE_RES_CMAP_GET |
MESSAGE_RES_CMAP_ADJUST_INT |
MESSAGE_RES_CMAP_ITER_INIT |
MESSAGE_RES_CMAP_ITER_NEXT |
MESSAGE_RES_CMAP_ITER_FINALIZE |
MESSAGE_RES_CMAP_TRACK_ADD |
MESSAGE_RES_CMAP_TRACK_DELETE |
MESSAGE_RES_CMAP_NOTIFY_CALLBACK |
MESSAGE_RES_CMAP_SET_CURRENT_MAP |

Definition at line 61 of file ipc_cmap.h.